Buy bandwidth
curl --request POST \
--url https://api.proxyjam.com/public/v1/orders/{order_id}/bandwidth \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"bandwidth_gb": 123
}
'import requests
url = "https://api.proxyjam.com/public/v1/orders/{order_id}/bandwidth"
payload = { "bandwidth_gb": 123 }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bandwidth_gb: 123})
};
fetch('https://api.proxyjam.com/public/v1/orders/{order_id}/bandwidth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Proxy management
Buy bandwidth
Purchase additional traffic for a proxy.
POST
/
orders
/
{order_id}
/
bandwidth
Buy bandwidth
Adds bandwidth to the proxy at the provider level and deducts the cost from your wallet.
This action is billed immediately from your wallet balance. Ensure you have sufficient funds before calling this endpoint.
Path parameters
string
required
UUID of the order.
Request body
integer
required
Additional traffic to purchase in GB. Min
1, max 5000.Response
Updated proxy object reflecting the newbandwidth_total_gb. Same shape as the managed_proxy object in Get order.
Example
curl -X POST "https://api.proxyjam.com/public/v1/orders/997b4450-e7ae-4ad9-8a25-996e582049c9/bandwidth" \
-H "X-API-Key: pj_AbCdEf..." \
-H "Content-Type: application/json" \
-d '{"bandwidth_gb": 10}'
from proxyjam import ProxyJamClient
with ProxyJamClient(api_key="pj_live_...") as proxyjam:
proxy = proxyjam.orders.buy_bandwidth(
"997b4450-e7ae-4ad9-8a25-996e582049c9",
gigabytes=10,
)
print("total bandwidth:", proxy.bandwidth_total_gb, "GB")
{
"order_id": "997b4450-e7ae-4ad9-8a25-996e582049c9",
"provider_proxy_id": "1836367",
"status": "active",
"expires_at": "2026-03-21T14:22:39Z",
"bandwidth_total_gb": 11.0,
"bandwidth_used_gb": 0.4
}
⌘I